Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Creates a new dataset in the specified project.
curl --request POST \
--url https://api.orq.ai/v2/datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"path": "Default"
}
'{
"_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {
"total_versions": 123,
"datapoints_count": 123
},
"created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2026-05-19T15:23:15.699Z",
"updated": "2026-05-19T15:23:15.700Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The display name of the dataset
1 - 128Entity storage path.
With workspace-level API keys, use the format project/folder/subfolder/.... The first element identifies the project, followed by nested folders (auto-created as needed). Example: Default/agents.
With project-level API keys, the project is predetermined by the API key, so the path is relative to that project. Example: agents. For backward compatibility, a leading project name is ignored when it matches the scoped project.
"Default"
Dataset created successfully. Returns the newly created dataset object.
The unique identifier of the dataset
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$The display name of the dataset
1 - 128The unique identifier of the project it belongs to
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$The unique identifier of the workspace it belongs to
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Show child attributes
The unique identifier of the user who created the dataset
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$The unique identifier of the user who last updated the dataset
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$The date and time the resource was created
The date and time the resource was last updated
Was this page helpful?
curl --request POST \
--url https://api.orq.ai/v2/datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"path": "Default"
}
'{
"_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {
"total_versions": 123,
"datapoints_count": 123
},
"created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2026-05-19T15:23:15.699Z",
"updated": "2026-05-19T15:23:15.700Z"
}